---
name: Card
menu: Patterns
---

import { Playground, Props } from "docz";

import Card from "./Card";
import Grid from "./Grid";
import PrimaryButton from "./PrimaryButton";
import SecondaryButton from "./SecondaryButton";

# Card

Bundled information can be displayed in Cards. Cards can have actions shown as Buttons.

## Best practices

- Cards can have a top border.
- Card actions are always positioned on the bottom right corner.

<!-- Card -->

### Basic usage

<Playground>
  <Card
    actions={
      <Grid container spacing={1} justify="flex-end">
        <Grid item>
          <PrimaryButton>Primary Action</PrimaryButton>
        </Grid>
      </Grid>
    }
  />
  <Card
    kind="primary"
    actions={
      <Grid container spacing={1} justify="flex-end">
        <Grid item>
          <PrimaryButton>Primary Action</PrimaryButton>
        </Grid>
      </Grid>
    }
  />
  <Card
    kind="secondary"
    actions={
      <Grid container spacing={1} justify="flex-end">
        <Grid item>
          <SecondaryButton>Secondary Action</SecondaryButton>
        </Grid>
        <Grid item>
          <PrimaryButton>Primary Action</PrimaryButton>
        </Grid>
      </Grid>
    }
  />
  <Card
    kind="secondary"
    hasHover
    actions={
      <Grid container spacing={1} justify="flex-end">
        <Grid item>
          <SecondaryButton>Secondary Action</SecondaryButton>
        </Grid>
        <Grid item>
          <PrimaryButton>Primary Action</PrimaryButton>
        </Grid>
      </Grid>
    }
  />
  <Card
    hasShadow={false}
    actions={
      <Grid container spacing={1} justify="flex-end">
        <Grid item>
          <SecondaryButton>Secondary Action</SecondaryButton>
        </Grid>
        <Grid item>
          <PrimaryButton>Primary Action</PrimaryButton>
        </Grid>
      </Grid>
    }
  />
  <Card
    hasShadow={false}
    hasHover
    actions={
      <Grid container spacing={1} justify="flex-end">
        <Grid item>
          <SecondaryButton>Secondary Action</SecondaryButton>
        </Grid>
        <Grid item>
          <PrimaryButton>Primary Action</PrimaryButton>
        </Grid>
      </Grid>
    }
  />
</Playground>

### Properties

<Props of={Card} />
